Subject: bug#71200: TRAMP: Trying to do a project-find-file or (find-directory) using the podman method causes a (wrong-type-argument stringp nil) error

From: alexis purslane <[email-masked]>
Date: Sun, 26 May 2024 11:27:36 +0000

Thank you! Apologies for the mislabel, I was quite tired at the time. I'll continue to iterate on my monkey-patch until maybe hopefully it just turns into a generally applicable solution I can contribute.

-------- Original Message --------
On 5/26/24 4:11 AM, Michael Albinus <[email-masked]> wrote:

>  alexis purslane via "Bug reports for GNU Emacs, the Swiss army knife of
>  text editors" <[email-masked]> writes:
>  
>  Hi Alexis,
>  
>  > I have a weird little snippet of code to fix it, and a sort-of
>  > analysis of what I think is wrong, here:
>  > https://gist.github.com/alexispurslane/890ea9971787c979f8c59c8decf132c4. However,
>  > this fix is half-baked currently.
>  
>  I cannot contribute to a solution in project.el. But your workaround
>  would be much simpler if you use `file-local-name', instead of parsing
>  the remote file name yourself.
>  
>  Please let me know if you believe there's something wrong in Tramp which
>  must be fixed.
>  
>  Best regards, Michael.
>